Name:           perl-Test-mysqld
Version:        1.0012
Release:        1%{?dist}
Summary:        Mysqld runner for tests
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            https://metacpan.org/release/Test-mysqld

Source0:        https://cpan.metacpan.org/authors/id/S/SO/SONGMU/Test-mysqld-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(Module::Build::Tiny) >= 0.035
BuildRequires:  perl(strict)

# Run-time
BuildRequires:  perl(Class::Accessor::Lite)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(DBI)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Copy::Recursive)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(Time::HiRes)
BuildRequires:  perl(warnings)
BuildRequires:  mysql-compat-server

# Testing
BuildRequires:  perl(DBD::mysql)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::SharedFork) >= 0.06

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(DBD::mysql)
Requires:       perl(File::Basename)
Requires:       perl(File::Spec)
Requires:       mysql-compat-server

%description
Test::mysqld automatically setups a mysqld instance in a temporary
directory, and destroys it when the perl script exits.

%prep
%setup -q -n Test-mysqld-%{version}

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot} --create_packlist=0

%check
AUTHOR_TESTING=1 RELEASE_TESTING=1 ./Build test

%files
%license LICENSE
%doc Changes README.md
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Mon Jul 23 2018 Denis Fateyev <denis@fateyev.com> - 1.0012-1
- Update to 1.0012 release

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0000-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Jun 29 2018 Jitka Plesnikova <jplesnik@redhat.com> - 1.0000-2
- Perl 5.28 rebuild

* Wed May 30 2018 Jitka Plesnikova <jplesnik@redhat.com> - 1.0000-1
- 1.0000 bump

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.21-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.21-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Jun 06 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.21-2
- Perl 5.26 rebuild

* Fri Apr 14 2017 Denis Fateyev <denis@fateyev.com> - 0.21-1
- Update to 0.21 release

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.20-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Dec 24 2016 Denis Fateyev <denis@fateyev.com> - 0.20-1
- Update to 0.20 release

* Mon May 16 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.17-5
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.17-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Nov 18 2015 Denis Fateyev <denis@fateyev.com> - 0.17-3
- Small spec cleanup

* Wed Nov 18 2015 Denis Fateyev <denis@fateyev.com> - 0.17-2
- Fixing mysql-server dependency, RHBZ #1282956

* Mon Nov 16 2015 Denis Fateyev <denis@fateyev.com> - 0.17-1
- Initial release
